• gimp symbol lookup error for libgegl


    When I try to launch /usr/bin/gimp it fails with the following error message gimp: symbol lookup error: /usr/lib/libgegl-0.4.so.0: undefined symbol: babl_process_rows.

    ldd /usr/bin/gimp shows:

    	linux-vdso.so.1 (0x00007ffccd96b000)
    	libgimpwidgets-2.0.so.0 => /usr/lib/libgimpwidgets-2.0.so.0 (0x00007efd2329d000)
    	libgimpconfig-2.0.so.0 => /usr/lib/libgimpconfig-2.0.so.0 (0x00007efd23088000)
    	libgimpmath-2.0.so.0 => /usr/lib/libgimpmath-2.0.so.0 (0x00007efd22e82000)
    	libgimpthumb-2.0.so.0 => /usr/lib/libgimpthumb-2.0.so.0 (0x00007efd22c78000)
    	libgimpcolor-2.0.so.0 => /usr/lib/libgimpcolor-2.0.so.0 (0x00007efd22a61000)
    	libgimpmodule-2.0.so.0 => /usr/lib/libgimpmodule-2.0.so.0 (0x00007efd2285c000)
    	libgimpbase-2.0.so.0 => /usr/lib/libgimpbase-2.0.so.0 (0x00007efd2262e000)
    	libharfbuzz.so.0 => /usr/lib/libharfbuzz.so.0 (0x00007efd22385000)
    	libz.so.1 => /usr/lib/libz.so.1 (0x00007efd2216e000)
    	libmypaint-1.3.so.0 => /usr/lib/libmypaint-1.3.so.0 (0x00007efd21f5b000)
    	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00007efd2191e000)
    	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00007efd2166a000)
    	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00007efd2145d000)
    	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x00007efd21249000)
    	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x00007efd21002000)
    	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00007efd20dbf000)
    	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00007efd20af6000)
    	libgegl-0.4.so.0 => /usr/lib/libgegl-0.4.so.0 (0x00007efd20844000)
    	libgegl-npd-0.4.so => /usr/lib/libgegl-npd-0.4.so (0x00007efd2063c000)
    	libbabl-0.1.so.0 => /usr/lib/libbabl-0.1.so.0 (0x00007efd203b7000)
    	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x00007efd2007d000)
    	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00007efd1fe59000)
    	liblcms2.so.2 => /usr/lib/liblcms2.so.2 (0x00007efd1fbfe000)
    	libgio-2.0.so.0 => /usr/lib/libgio-2.0.so.0 (0x00007efd1f85e000)
    	libgexiv2.so.2 => /usr/lib/libgexiv2.so.2 (0x00007efd1f640000)
    	libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0x00007efd1f3ec000)
    	libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0x00007efd1f0d5000)
    	libm.so.6 => /usr/lib/libm.so.6 (0x00007efd1ed40000)
    	libpthread.so.0 => /usr/lib/libpthread.so.0 (0x00007efd1eb22000)
    	libc.so.6 => /usr/lib/libc.so.6 (0x00007efd1e766000)
    	libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0x00007efd1e562000)
    	libgraphite2.so.3 => /usr/lib/libgraphite2.so.3 (0x00007efd1e336000)
    	libjson-c.so.3 => /usr/lib/libjson-c.so.3 (0x00007efd1e127000)
    	libX11.so.6 => /usr/lib/libX11.so.6 (0x00007efd1dde8000)
    	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x00007efd1dbe2000)
    	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x00007efd1d9bc000)
    	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00007efd1d7b1000)
    	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00007efd1d5ae000)
    	libXi.so.6 => /usr/lib/libXi.so.6 (0x00007efd1d39d000)
    	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x00007efd1d192000)
    	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x00007efd1cf88000)
    	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x00007efd1cd85000)
    	libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0x00007efd1cb82000)
    	libXext.so.6 => /usr/lib/libXext.so.6 (0x00007efd1c970000)
    	libthai.so.0 => /usr/lib/libthai.so.0 (0x00007efd1c766000)
    	libfribidi.so.0 => /usr/lib/libfribidi.so.0 (0x00007efd1c54a000)
    	libexpat.so.1 => /usr/lib/libexpat.so.1 (0x00007efd1c318000)
    	libuuid.so.1 => /usr/lib/libuuid.so.1 (0x00007efd1c111000)
    	libbz2.so.1.0 => /usr/lib/libbz2.so.1.0 (0x00007efd1bf01000)
    	libpng16.so.16 => /usr/lib/libpng16.so.16 (0x00007efd1bccb000)
    	libdl.so.2 => /usr/lib/libdl.so.2 (0x00007efd1bac7000)
    	/lib64/ld-linux-x86-64.so.2 => /usr/lib64/ld-linux-x86-64.so.2 (0x00007efd23e57000)
    	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x00007efd1b81f000)
    	libEGL.so.1 => /usr/lib/libEGL.so.1 (0x00007efd1b60b000)
    	libxcb-shm.so.0 => /usr/lib/libxcb-shm.so.0 (0x00007efd1b407000)
    	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x00007efd1b1de000)
    	libxcb-render.so.0 => /usr/lib/libxcb-render.so.0 (0x00007efd1afd0000)
    	libGL.so.1 => /usr/lib/libGL.so.1 (0x00007efd1ad45000)
    	librt.so.1 => /usr/lib/librt.so.1 (0x00007efd1ab3d000)
    	libresolv.so.2 => /usr/lib/libresolv.so.2 (0x00007efd1a926000)
    	libmount.so.1 => /usr/lib/libmount.so.1 (0x00007efd1a6ce000)
    	libexiv2.so.26 => /usr/lib/libexiv2.so.26 (0x00007efd1a170000)
    	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007efd19de7000)
    	libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0x00007efd19bcf000)
    	libffi.so.6 => /usr/lib/libffi.so.6 (0x00007efd199c6000)
    	libpcre.so.1 => /usr/lib/libpcre.so.1 (0x00007efd19754000)
    	libdatrie.so.1 => /usr/lib/libdatrie.so.1 (0x00007efd1954c000)
    	libGLdispatch.so.0 => /usr/lib/libGLdispatch.so.0 (0x00007efd19296000)
    	libXau.so.6 => /usr/lib/libXau.so.6 (0x00007efd19092000)
    	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00007efd18e8c000)
    	libGLX.so.0 => /usr/lib/libGLX.so.0 (0x00007efd18c5b000)
    	libblkid.so.1 => /usr/lib/libblkid.so.1 (0x00007efd18a0b000)
    
    

    Any ideas of what could be wrong or how to troubleshoot this further?

  • You need to install libgegl by

    yaourt -Syy gegl

    Best regards, Peter

  • @cheflo yes:

    pacman -Qo /usr/lib/libgegl-0.4.so.0
    /usr/lib/libgegl-0.4.so.0 is owned by gegl 0.4.12-1
    

    and gegl is a dependency of gimp…

error318 gimp4 symbol4 lookup3 Posts 3Views 369
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.